<?php
    // Archivo para obtener la información de del usuario para cambiar su contraseña o loguearse

    // Utiliza el archivo iUser en la carperta de interfaz y el archivo de Database en database
    require_once('../database/Database.php');
    require_once('../interface/iUser.php');

    // Creación de la clase user implementando la interfaz de iUser
    class User extends Database implements iUser{

        // función que obtiene la información del usuario para validar que existe y poder comparar la contraseña
        public function user_login($username){
            $sql = "SELECT * FROM ost_staff WHERE isactive = 1 AND email = ?";
            return $this->getRow($sql, [$username]);
        }

        // Actualiza la contraseña generica de los usuarios y registra que ya hizo el cambio
        public function user_cambioPass($password, $email){
            $sql = "UPDATE ost_staff SET dbpwd = ?, dbpwd_change = 1 WHERE email = ?";
            return $this->UpdateRow($sql, [$password, $email]);
        }
    }

    // Objetos para usar en CambioPass.php y Login.php en data
    $user = new User();

?>